"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchField = _interopRequireDefault(require("terra-search-field/lib/SearchField"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var propTypes = {
  /**
   * A boolean that when true will disable the auto-search
   */
  disableAutoSearch: _propTypes.default.bool,

  /**
   * The minimum search text length if provided. Used for the invalid search length message.
   */
  minimumSearchTextLength: _propTypes.default.number
};
var defaultProps = {
  disableAutoSearch: false,
  minimumSearchTextLength: 2
};

var SearchFieldExampleTemplate =
/*#__PURE__*/
function (_React$Component) {
  _inherits(SearchFieldExampleTemplate, _React$Component);

  function SearchFieldExampleTemplate(props) {
    var _this;

    _classCallCheck(this, SearchFieldExampleTemplate);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SearchFieldExampleTemplate).call(this, props));
    _this.defaultLength = _this.props.minimumSearchTextLength === 2 ? 'default' : '';
    _this.invalidSearchMessage = "The ".concat(_this.defaultLength, " minimum search length is ").concat(_this.props.minimumSearchTextLength, ".");
    _this.state = {
      searchText: '',
      message: _this.invalidSearchMessage
    };
    _this.handleSearch = _this.handleSearch.bind(_assertThisInitialized(_this));
    _this.handleInvalidSearch = _this.handleInvalidSearch.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(SearchFieldExampleTemplate, [{
    key: "handleSearch",
    value: function handleSearch(searchText) {
      this.setState({
        searchText: searchText,
        message: 'Search Text: '
      });
    }
  }, {
    key: "handleInvalidSearch",
    value: function handleInvalidSearch() {
      this.setState({
        searchText: '',
        message: this.invalidSearchMessage
      });
    }
  }, {
    key: "render",
    value: function render() {
      var disableAutoSearch = this.props.disableAutoSearch;
      return _react.default.createElement("div", null, _react.default.createElement("p", null, this.state.message, this.state.searchText), _react.default.createElement(_SearchField.default, _extends({
        onSearch: this.handleSearch,
        onInvalidSearch: this.handleInvalidSearch,
        disableAutoSearch: disableAutoSearch
      }, this.props)));
    }
  }]);

  return SearchFieldExampleTemplate;
}(_react.default.Component);

SearchFieldExampleTemplate.propTypes = propTypes;
SearchFieldExampleTemplate.defaultProps = defaultProps;
var _default = SearchFieldExampleTemplate;
exports.default = _default;